[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Trouble installing Origin on RHEL using comprehensive guide



I am updating the puppet script to get builds to pass. If anyone in the community can look at those and update the comprehensive doc.
That would be greatly appreciated. :)

--Kr

On Oct 18, 2013, at 8:44 AM, Daniel Ankers <md1clv md1clv com> wrote:

Can the community do anything to help?


On 18 October 2013 16:37, Krishna Raman <kraman gmail com> wrote:
Origin and OSE have diverged quite a bit. I am actually working on newer build scripts here: https://originci-openshift.rhcloud.com/view/Vagrant%20(Fedora%20builds)/
Troy's script which copies the RPMs needs to be updated to pick up the new location. Its still WIP since there was a lot of code change recently and I am playing a little
catch up on docs and puppet scripts.

--kr

On Oct 18, 2013, at 8:34 AM, Daniel Ankers <md1clv md1clv com> wrote:

There is also (at least in the configuration I'm trying to install) a dependency on a few rubygem-openshift-origin-frontend- RPMs which don't appear to be present for RHEL.  I assume that this is a result of the issue that Luke Meyer pointed out?

Regards,
Dan



On 18 October 2013 16:16, Troy Dawson <tdawson redhat com> wrote:
On 10/18/2013 10:11 AM, Luke Meyer wrote:


----- Original Message -----
From: "Troy Dawson" <tdawson redhat com>

with admin-console:
Could not find gem 'haml (~> 3.1.7) ruby', which is required by gem
'openshift-origin-admin-console (>= 0) ruby', in any of the sources.
haml v. 4.0.3 is shipped which... probably works? but doesn't match
the gemspec
I had to remove this and install ruby193-rubygem-haml-3.1.7 explicitly
Why are we shipping the new version? Or is this EPEL...
Same problem for console


We have fixed it so that the haml requirement is now
'>= 3.1.7', '< 4.1'
This is in admin-console-1.15.3 and console-1.15.3

Hm; doesn't look like those have been updated in over a month:
https://mirror.openshift.com/pub/openshift-origin/nightly/rhel-6/packages/latest/x86_64/

Nor has anything else... meanwhile there do appear to be updates to deps:
https://mirror.openshift.com/pub/openshift-origin/nightly/rhel-6/dependencies/x86_64/

Is that the real problem?


More than likely.  I didn't know we weren't getting any updates to the packages when I updated the dependancies.
It looks like Fedora-19 packages haven't been built for 3 weeks either.
Troy




_______________________________________________
dev mailing list
dev lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/dev

_______________________________________________
dev mailing list
dev lists openshift redhat com
http://lists.openshift.redhat.com/openshiftmm/listinfo/dev




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]